Car update

Car update. To simplify request body creation use API: GET /v2/parks/vehicles/car

Request

PUT

https://fleet-api.taxi.yandex.net/v2/parks/vehicles/car

Query parameters

Name

Description

vehicle_id

Type: string

Vehicle ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Headers

Name

Description

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

X-Park-ID

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Body

application/json
{
  "vehicle_specifications": {
    "model": "E-klasse",
    "brand": "Mercedes-Benz",
    "color": "Черный",
    "year": 2019,
    "transmission": "automatic",
    "vin": "12345678909876543",
    "body_number": "123456789",
    "mileage": 5000
  },
  "vehicle_licenses": {
    "licence_plate_number": "Т8654Т99",
    "registration_certificate": "123456789",
    "licence_number": "123456789"
  },
  "park_profile": {
    "callsign": "123456789",
    "status": "working",
    "license_owner_id": "6k054dfdb9i5345ifsdfvpfu8c8cc946",
    "is_park_property": true,
    "ownership_type": "park",
    "leasing_conditions": {
      "company": "leasing company",
      "start_date": "2022-01-01",
      "term": 30,
      "monthly_payment": 20000,
      "interest_rate": "11.7"
    },
    "amenities": [
      "wifi"
    ],
    "categories": [
      "econom"
    ],
    "tariffs": [
      "Комфорт"
    ],
    "comment": "good car",
    "fuel_type": "petrol"
  },
  "child_safety": {
    "booster_count": 2
  },
  "cargo": {
    "cargo_loaders": 1,
    "carrying_capacity": 500,
    "cargo_hold_dimensions": {
      "length": 200,
      "width": 200,
      "height": 150
    }
  }
}

Name

Description

park_profile

Type: ParkProfile

Example
{
  "callsign": "123456789",
  "status": "working",
  "license_owner_id": "6k054dfdb9i5345ifsdfvpfu8c8cc946",
  "is_park_property": true,
  "ownership_type": "park",
  "leasing_conditions": {
    "company": "leasing company",
    "start_date": "2022-01-01",
    "term": 30,
    "monthly_payment": 20000,
    "interest_rate": "11.7"
  },
  "amenities": [
    "wifi"
  ],
  "categories": [
    "econom"
  ],
  "tariffs": [
    "Комфорт"
  ],
  "comment": "good car",
  "fuel_type": "petrol"
}

vehicle_licenses

Type: VehicleLicenses

Example
{
  "licence_plate_number": "Т8654Т99",
  "registration_certificate": "123456789",
  "licence_number": "123456789"
}

vehicle_specifications

Type: VehicleSpecifications

Example
{
  "model": "E-klasse",
  "brand": "Mercedes-Benz",
  "color": "Черный",
  "year": 2019,
  "transmission": "automatic",
  "vin": "12345678909876543",
  "body_number": "123456789",
  "mileage": 5000
}

cargo

Type: Cargo

Example
{
  "cargo_loaders": 1,
  "carrying_capacity": 500,
  "cargo_hold_dimensions": {
    "length": 200,
    "width": 200,
    "height": 150
  }
}

child_safety

Type: ChildSafety

Example
{
  "booster_count": 2
}

Model

Vehicle model

Type: string

Example: E-klasse

Brand

Vehicle make

Type: string

Example: Mercedes-Benz

ColorEnum

Vehicle color. Possible values:

  • Белый — White;
  • Желтый — Yellow;
  • Бежевый — Beige;
  • Черный — Black;
  • Голубой — Light blue;
  • Серый — Gray;
  • Красный — Red;
  • Оранжевый — Orange;
  • Синий — Dark blue;
  • Зеленый — Green;
  • Коричневый — Brown;
  • Фиолетовый — Purple;
  • Розовый — Pink.

Type: string

Enum: Белый, Желтый, Бежевый, Черный, Голубой, Серый, Красный, Оранжевый, Синий, Зеленый, Коричневый, Фиолетовый, Розовый

Year

Year of vehicle manufacture

Type: integer

Transmission

Transmission type

Type: string

Enum: mechanical, automatic, robotic, variator

VIN

VIN (Required field for Russia)

Type: string

Example: 12345678909876543

BodyNumber

Vehicle body number from vehicle registration certificate

Type: string

Example: 123456789

Mileage

Mileage

Type: integer

Min value: 0

VehicleSpecifications

Name

Description

brand

Type: Brand

Vehicle make

Example: Mercedes-Benz

color

Type: ColorEnum

Vehicle color. Possible values:

  • Белый — White;
  • Желтый — Yellow;
  • Бежевый — Beige;
  • Черный — Black;
  • Голубой — Light blue;
  • Серый — Gray;
  • Красный — Red;
  • Оранжевый — Orange;
  • Синий — Dark blue;
  • Зеленый — Green;
  • Коричневый — Brown;
  • Фиолетовый — Purple;
  • Розовый — Pink.

Enum: Белый, Желтый, Бежевый, Черный, Голубой, Серый, Красный, Оранжевый, Синий, Зеленый, Коричневый, Фиолетовый, Розовый

model

Type: Model

Vehicle model

Example: E-klasse

transmission

Type: Transmission

Transmission type

Enum: mechanical, automatic, robotic, variator

year

Type: Year

Year of vehicle manufacture

Example: 2019

body_number

Type: BodyNumber

Vehicle body number from vehicle registration certificate

Example: 123456789

mileage

Type: Mileage

Mileage

Min value: 0

Example: 5000

vin

Type: VIN

VIN (Required field for Russia)

Example: 12345678909876543

Example
{
  "model": "E-klasse",
  "brand": "Mercedes-Benz",
  "color": "Черный",
  "year": 2019,
  "transmission": "automatic",
  "vin": "12345678909876543",
  "body_number": "123456789",
  "mileage": 5000
}

LicencePlateNumber

License plate number

Type: string

Example: Т8654Т99

RegistrationCertificate

Vehicle registration certificate (Required field for Russia)

Type: string

Example: 123456789

LicenceNumber

Taxi license number

Type: string

Example: 123456789

VehicleLicenses

Name

Description

licence_plate_number

Type: LicencePlateNumber

License plate number

Example: Т8654Т99

licence_number

Type: LicenceNumber

Taxi license number

Example: 123456789

registration_certificate

Type: RegistrationCertificate

Vehicle registration certificate (Required field for Russia)

Example: 123456789

Example
{
  "licence_plate_number": "Т8654Т99",
  "registration_certificate": "123456789",
  "licence_number": "123456789"
}

Callsign

Vehicle code name (short name)

Type: string

Example: 123456789

Status

Vehicle status. Currently possible values:

  • unknown — status is unknown;
  • working — is used at the moment to complete trips;
  • not_working — is not used at the moment to complete trips;
  • repairing — is undergoing technical maintenance or repair works;
  • no_driver - no driver assigned to a vehicle;
  • pending - vehicle details processing is in progress.

Type: string

Example: working

LicenseOwnerId

ID of the license owner

Type: string

Example: 6k054dfdb9i5345ifsdfvpfu8c8cc946

IsParkProperty

Rental vehicle

Type: boolean

OwnershipType

Ownership type

Type: string

Enum: park, leasing

LeasingCompany

Leasing company

Type: string

Example: leasing company

LeasingStartDate

Leasing start date

Type: string

Example: 2022-01-01

LeasingTerm

Lease term (Number of months)

Type: integer

Min value: 0

LeasingMonthlyPayment

Monthly payment

Type: integer

Min value: 0

LeasingInterestRate

Lease interest rate

Type: string

Example: 11.7

LeasingConditions

Leasing conditions

Name

Description

company

Type: LeasingCompany

Leasing company

Example: leasing company

interest_rate

Type: LeasingInterestRate

Lease interest rate

Example: 11.7

monthly_payment

Type: LeasingMonthlyPayment

Monthly payment

Min value: 0

Example: 20000

start_date

Type: LeasingStartDate

Leasing start date

Example: 2022-01-01

term

Type: LeasingTerm

Lease term (Number of months)

Min value: 0

Example: 30

Example
{
  "company": "leasing company",
  "start_date": "2022-01-01",
  "term": 30,
  "monthly_payment": 20000,
  "interest_rate": "11.7"
}

Amenities

Vehilce amenity. Possible values:

  • conditioner
  • no_smoking
  • child_chair
  • animal_transport
  • universal
  • wifi
  • check
  • card
  • yamoney
  • newspaper
  • coupon
  • creditcard
  • dont_call
  • smoking
  • delivery
  • vip_event
  • woman_driver
  • post_terminal
  • bicycle
  • skiing
  • passenger_plus
  • cargo_clean
  • door_to_door
  • sticker
  • lightbox

Type: string[]

Example
[
  "wifi"
]

Categories

List of vehicle categories. Possible values:

  • econom — Economy class;
  • comfort — Comfort;
  • comfort_plus — Comfort+;
  • business — business class vehicle;
  • minivan — minivan;
  • vip — A VIP class vehicle;
  • wagon — multi-purpose;
  • pool — pool class vehicle;
  • start — Start class vehicle;
  • standart — Standart class vehicle;
  • ultimate — Premier;
  • maybach — elite class vehicle;
  • promo — promotion;
  • premium_van — cruise van;
  • premium_suv — premium SUV;
  • suv — SUV;
  • personal_driver — personal driver class vehicle;
  • express — delivery class vehicle;
  • cargo — a cargo vehicle.

Type: string[]

Example
[
  "econom"
]

Tariff

Park tariff

Type: string

Example: example

Tariffs

List of park tariffs

Type: Tariff[]

Example
[
  "Комфорт"
]

Comment

Vehicle description

Type: string

Example: good car

FuelType

Fuel type

Type: string

Enum: petrol, methane, propane, electricity

ParkProfile

Name

Description

callsign

Type: Callsign

Vehicle code name (short name)

Example: 123456789

fuel_type

Type: FuelType

Fuel type

Enum: petrol, methane, propane, electricity

status

Type: Status

Vehicle status. Currently possible values:

  • unknown — status is unknown;
  • working — is used at the moment to complete trips;
  • not_working — is not used at the moment to complete trips;
  • repairing — is undergoing technical maintenance or repair works;
  • no_driver - no driver assigned to a vehicle;
  • pending - vehicle details processing is in progress.

Example: working

amenities

Type: Amenities

Vehilce amenity. Possible values:

  • conditioner
  • no_smoking
  • child_chair
  • animal_transport
  • universal
  • wifi
  • check
  • card
  • yamoney
  • newspaper
  • coupon
  • creditcard
  • dont_call
  • smoking
  • delivery
  • vip_event
  • woman_driver
  • post_terminal
  • bicycle
  • skiing
  • passenger_plus
  • cargo_clean
  • door_to_door
  • sticker
  • lightbox
Example
[
  "wifi"
]

categories

Type: Categories

List of vehicle categories. Possible values:

  • econom — Economy class;
  • comfort — Comfort;
  • comfort_plus — Comfort+;
  • business — business class vehicle;
  • minivan — minivan;
  • vip — A VIP class vehicle;
  • wagon — multi-purpose;
  • pool — pool class vehicle;
  • start — Start class vehicle;
  • standart — Standart class vehicle;
  • ultimate — Premier;
  • maybach — elite class vehicle;
  • promo — promotion;
  • premium_van — cruise van;
  • premium_suv — premium SUV;
  • suv — SUV;
  • personal_driver — personal driver class vehicle;
  • express — delivery class vehicle;
  • cargo — a cargo vehicle.
Example
[
  "econom"
]

comment

Type: Comment

Vehicle description

Example: good car

is_park_property

Type: IsParkProperty

Rental vehicle

Example: true

leasing_conditions

Type: LeasingConditions

Leasing conditions

Example
{
  "company": "leasing company",
  "start_date": "2022-01-01",
  "term": 30,
  "monthly_payment": 20000,
  "interest_rate": "11.7"
}

license_owner_id

Type: LicenseOwnerId

ID of the license owner

Example: 6k054dfdb9i5345ifsdfvpfu8c8cc946

ownership_type

Type: OwnershipType

Ownership type

Enum: park, leasing

tariffs

Type: Tariffs

List of park tariffs

Example
[
  "Комфорт"
]
Example
{
  "callsign": "123456789",
  "status": "working",
  "license_owner_id": "6k054dfdb9i5345ifsdfvpfu8c8cc946",
  "is_park_property": true,
  "ownership_type": "park",
  "leasing_conditions": {
    "company": "leasing company",
    "start_date": "2022-01-01",
    "term": 30,
    "monthly_payment": 20000,
    "interest_rate": "11.7"
  },
  "amenities": [
    "wifi"
  ],
  "categories": [
    "econom"
  ],
  "tariffs": [
    "Комфорт"
  ],
  "comment": "good car",
  "fuel_type": "petrol"
}

BoosterCount

Number of boosters

Type: integer

Min value: 0

Max value: 3

ChildSafety

Name

Description

booster_count

Type: BoosterCount

Number of boosters

Min value: 0

Max value: 3

Example: 2

Example
{
  "booster_count": 2
}

CargoLoaders

Number of loaders. The permissible number of loaders are from 0 to 2

Type: integer

Min value: 0

CarryingCapacity

Load capacity (in kg). The permissible load capacity is from 300 to 6000 kg

Type: integer

Min value: 0

Length

Length (in cm). The permissible length value is from 170 to 601 cm

Type: integer

Min value: 0

Width

Width (in cm). The permissible width value is from 96 to 250 cm

Type: integer

Min value: 0

Height

Height (in cm). The permissible height value is from 90 to 250 cm

Type: integer

Min value: 0

Dimensions

Cargo compartment dimensions

Name

Description

height

Type: Height

Height (in cm). The permissible height value is from 90 to 250 cm

Min value: 0

Example: 150

length

Type: Length

Length (in cm). The permissible length value is from 170 to 601 cm

Min value: 0

Example: 200

width

Type: Width

Width (in cm). The permissible width value is from 96 to 250 cm

Min value: 0

Example: 200

Example
{
  "length": 200,
  "width": 200,
  "height": 150
}

Cargo

Name

Description

cargo_hold_dimensions

Type: Dimensions

Cargo compartment dimensions

Example
{
  "length": 200,
  "width": 200,
  "height": 150
}

cargo_loaders

Type: CargoLoaders

Number of loaders. The permissible number of loaders are from 0 to 2

Min value: 0

Example: 1

carrying_capacity

Type: CarryingCapacity

Load capacity (in kg). The permissible load capacity is from 300 to 6000 kg

Min value: 0

Example: 500

Example
{
  "cargo_loaders": 1,
  "carrying_capacity": 500,
  "cargo_hold_dimensions": {
    "length": 200,
    "width": 200,
    "height": 150
  }
}

Responses

200 OK

OK

400 Bad Request

Invalid request parameters Error examples:

  • cannot_edit_required_fields_when_dkk_passed - Forbidden to change the following fields the car after verification:

    • vehicle_specifications.brand

    • vehicle_specifications.model

    • vehicle_specifications.color

    • vehicle_specifications.year

    • vehicle_licenses.licence_plate_number

    • vehicle_licenses.registration_certificate

    • vehicle_specifications.body_number

    • vehicle_specifications.vin

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

401 Unauthorized

Request authorization parameters are missing

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

403 Forbidden

Insufficient rights to execute the request

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

404 Not Found

Requested resource was not found

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

429 Too Many Requests

Limit of requests was exceeded

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

500 Internal Server Error

Internal server error

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example